ListDataAutomationProjects - Amazon Bedrock
Services or capabilities described in AWS documentation might vary by Region. To see the differences applicable to the AWS European Sovereign Cloud Region, see the AWS European Sovereign Cloud User Guide.

ListDataAutomationProjects

Gets a list of data automation projects in your account, or public projects provided by the service.

Request Syntax

POST /data-automation-projects/ HTTP/1.1 Content-type: application/json { "blueprintFilter": { "blueprintArn": "string", "blueprintStage": "string", "blueprintVersion": "string" }, "maxResults": number, "nextToken": "string", "projectStageFilter": "string", "projectTypeFilter": "string", "resourceOwner": "string" }

URI Request Parameters

The request does not use any URI parameters.

Request Body

The request accepts the following data in JSON format.

blueprintFilter

To view projects associated with a blueprint, specify the blueprint.

Type: BlueprintFilter object

Required: No

maxResults

The maximum number of projects to return in one page of results.

Type: Integer

Valid Range: Minimum value of 1. Maximum value of 1000.

Required: No

nextToken

Specify the pagination token from a previous request to retrieve the next page of results.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 2048.

Pattern: \S*

Required: No

projectStageFilter

The projects' stage. To view projects in development, specify DEVELOPMENT.

Type: String

Valid Values: DEVELOPMENT | LIVE | ALL

Required: No

projectTypeFilter

The type of projects to return. Specify ASYNC for asynchronous projects, SYNC for synchronous projects, or ALL to return both types.

Type: String

Valid Values: ASYNC | SYNC | ALL

Required: No

resourceOwner

The projects' owner. To view public projects, specify SERVICE.

Type: String

Valid Values: SERVICE | ACCOUNT

Required: No

Response Syntax

HTTP/1.1 200 Content-type: application/json { "nextToken": "string", "projects": [ { "creationTime": "string", "projectArn": "string", "projectName": "string", "projectStage": "string", "projectType": "string" } ] }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

nextToken

A pagination token returned if more results are available.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 2048.

Pattern: \S*

projects

A list of project summaries.

Type: Array of DataAutomationProjectSummary objects

Errors

For information about the errors that are common to all actions, see Common Errors.

AccessDeniedException

HTTP Status Code: 403

InternalServerException

HTTP Status Code: 500

ResourceNotFoundException

HTTP Status Code: 404

ThrottlingException

HTTP Status Code: 429

ValidationException

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: